Jump to content

How can I get detailed definition of AECC_COGO_POINT?


san

Recommended Posts

Hello guys,

 

How can I get more detailed definition of AECC_COGO_POINT?

 

When I try to get definition of AECC_COGO_POINT in Civil 3D, it appears thus,

((-1 . <Entity name: 7ef20ad8>) (0 . "AECC_COGO_POINT") (330 . <Entity name: 7ef16c10>) (5 . "943") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "0") 
(100 . "AeccDbCogoPoint"))

 

While I used LDD 2009, the AECC_POINT definition has more detail shown thus,

((-1 . <Entity name: 7ef01d48>) (0 . "AECC_POINT") (330 . <Entity name: 
7ef01c10>) (5 . "29") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "0") 
(100 . "AecDbEntity") (102 . "{AEC_SUBOBJECT") (300 . "AeccImpPoint") (100 . 
"AecImpObj") (3 . "") (100 . "AecImpEnt") (171 . 0) (100 . "AecImpGeo") (10 0.0 
0.0 0.0) (15 1.0 -0.000387814 0.0) (16 0.000387814 1.0 0.0) (210 0.0 0.0 1.0) 
(360 . <Entity name: 0>) (100 . "AeccImpPoint") (90 . 1) (11 280.857 38.6458 
0.0) (302 . "Crest") (301 . "") (300 . "") (280 . 0) (303 . "Crest") (304 . "") 
(305 . "") (10 0.0 0.0 0.0) (285 . 0) (286 . 1) (170 . 34) (141 . 5.0) (306 . 
"L80") (140 . 10.0) (282 . 1) (283 . 1) (284 . 1) (171 . 2) (172 . 1) (173 . 3) 
(287 . 1) (142 . 0.0) (288 . 1) (102 . "AEC_SUBOBJECT}") (102 . 
"{AEC_NULLOBJECT}") (100 . "AecDbGeo") (100 . "AeccDbPoint"))

 

Does anybody know how I can get more detailed definition of AECC_COGO_POINT? I'm working with Civil 3D, Map 3D & regular AutoCAD.

 

Thank you a bunch!

 

san

Edited by SLW210
Add Code Tags to clean up!!!
Link to comment
Share on other sites

Congrats on your first post, and welcome to the forums!

 

Perhaps this will get you the 'more detailed' information you want:

 

(defun c:DUMP  (/ eName)
 (vl-load-com)
 (if (setq eName (car (entsel "\n  >>  Select Object  >> ")))
   (progn
     (textpage)
     (vlax-dump-object (vlax-ename->vla-object eName) T)))
 (princ))

Link to comment
Share on other sites

Thank you RenderMan for your welcome and reply.

Yesterday I found this forum which is very helpful to a new lisp learner, I want to give my thanks to all the members.

 

I try your DUMP lisp, and I get information like this (see below). It does give me more details about point, but none of Point Number, X, Y, Z & description is inculded, which I need actually.

By the way, isn't Civil 3D point allowed copied or moved? if I want to copy or move (not create), how can I do that?

 

Lots of questions I have.

Thank you again RenderMan.

 

The point information I got:

>> Select Object >> ; IAcadEntity2: AutoCAD Entity Interface
; Property values:
; Application (RO) = #<VLA-OBJECT IAcadApplication 0000000140682e28>
; Document (RO) = #<VLA-OBJECT IAcadDocument 0000000033118380>
; EntityTransparency = "ByLayer"
; Handle (RO) = "3C030"
; HasExtensionDictionary (RO) = 0
; Hyperlinks (RO) = #<VLA-OBJECT IAcadHyperlinks 0000000038c62ec8>
; Layer = "0"
; Linetype = "ByLayer"
; LinetypeScale = 1.0
; Lineweight = -1
; Material = "ByLayer"
; ObjectID (RO) = 44
; ObjectID32 (RO) = 44
; ObjectName (RO) = "AeccDbCogoPoint"
; OwnerID (RO) = 43
; OwnerID32 (RO) = 43
; PlotStyleName = "ByLayer"
; TrueColor = #<VLA-OBJECT IAcadAcCmColor 0000000038c63ac0>
; Visible = -1
; Methods supported:
; ArrayPolar (3)
; ArrayRectangular (6)
; Copy ()
; Delete ()
; GetBoundingBox (2)
; GetExtensionDictionary ()
; GetXData (3)
; Highlight (1)
; IntersectWith (2)
; Mirror (2)
; Mirror3D (3)
; Move (2)
; Rotate (2)
; Rotate3D (3)
; ScaleEntity (2)
; SetXData (2)
; TransformBy (1)
; Update ()
---The End

 

 

Congrats on your first post, and welcome to the forums!

 

Perhaps this will get you the 'more detailed' information you want:

 

(defun c:DUMP (/ eName)
(vl-load-com)
(if (setq eName (car (entsel "\n >> Select Object >> ")))
(progn
(textpage)
(vlax-dump-object (vlax-ename->vla-object eName) T)))
(princ))

Edited by SLW210
Add Code Tags to cleanup!!
Link to comment
Share on other sites

Hello guys,

 

How can I get more detailed definition of AECC_COGO_POINT?

 

When I try to get definition of AECC_COGO_POINT in Civil 3D, it appears thus,

((-1 . ) (0 . "AECC_COGO_POINT") (330 . ) (5 . "943") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "0")

(100 . "AeccDbCogoPoint"))

 

While I used LDD 2009, the AECC_POINT definition has more detail shown thus,

((-1 . ) (0 . "AECC_POINT") (330 .

7ef01c10>) (5 . "29") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "0")

(100 . "AecDbEntity") (102 . "{AEC_SUBOBJECT") (300 . "AeccImpPoint") (100 .

"AecImpObj") (3 . "") (100 . "AecImpEnt") (171 . 0) (100 . "AecImpGeo") (10 0.0

0.0 0.0) (15 1.0 -0.000387814 0.0) (16 0.000387814 1.0 0.0) (210 0.0 0.0 1.0)

(360 . ) (100 . "AeccImpPoint") (90 . 1) (11 280.857 38.6458

0.0) (302 . "Crest") (301 . "") (300 . "") (280 . 0) (303 . "Crest") (304 . "")

(305 . "") (10 0.0 0.0 0.0) (285 . 0) (286 . 1) (170 . 34) (141 . 5.0) (306 .

"L80") (140 . 10.0) (282 . 1) (283 . 1) (284 . 1) (171 . 2) (172 . 1) (173 . 3)

(287 . 1) (142 . 0.0) (288 . 1) (102 . "AEC_SUBOBJECT}") (102 .

"{AEC_NULLOBJECT}") (100 . "AecDbGeo") (100 . "AeccDbPoint"))

 

Does anybody know how I can get more detailed definition of AECC_COGO_POINT? I'm working with Civil 3D, Map 3D & regular AutoCAD.

 

Thank you a bunch!

 

san

 

Several places to check:

 

http://forums.autodesk.com/t5/AutoCAD-Civil-3D/Extracting-AECC-COGO-POINT-information/td-p/2479521

 

http://forums.autodesk.com/t5/AutoCAD-Civil-3D/AECC-Cogo-Point-Lisp-VBA/m-p/1540208

 

http://forums.autodesk.com/t5/AutoCAD-Civil-3D-Customization/Extract-AECC-COGO-POINT-information/m-p/1989388

 

http://blog.civil3dreminders.com/2009/05/add-point-to-point-group-part-iii.html

 

http://www.theswamp.org/index.php?action=printpage;topic=1990.0

Link to comment
Share on other sites

Thank you RenderMan for your welcome and reply.

 

 

You're welcome. :)

 

Since you're new to the forums, this may be helpful: Code Posting Guidlines

 

I try your DUMP lisp, and I get information like this (see below). It does give me more details about point, but none of Point Number, X, Y, Z & description is inculded, which I need actually.

By the way, isn't Civil 3D point allowed copied or moved? if I want to copy or move (not create), how can I do that?

 

Lots of questions I have.

 

The point information I got:

>> Select Object >> ; IAcadEntity2: AutoCAD Entity Interface
; Property values:
; Application (RO) = #<VLA-OBJECT IAcadApplication 0000000140682e28>
; Document (RO) = #<VLA-OBJECT IAcadDocument 0000000033118380>
; EntityTransparency = "ByLayer"
; Handle (RO) = "3C030"
; HasExtensionDictionary (RO) = 0
; Hyperlinks (RO) = #<VLA-OBJECT IAcadHyperlinks 0000000038c62ec8>
; Layer = "0"
; Linetype = "ByLayer"
; LinetypeScale = 1.0
; Lineweight = -1
; Material = "ByLayer"
; ObjectID (RO) = 44
; ObjectID32 (RO) = 44
; ObjectName (RO) = "AeccDbCogoPoint"
; OwnerID (RO) = 43
; OwnerID32 (RO) = 43
; PlotStyleName = "ByLayer"
; TrueColor = #<VLA-OBJECT IAcadAcCmColor 0000000038c63ac0>
; Visible = -1
; Methods supported:
; ArrayPolar (3)
; ArrayRectangular (6)
; Copy ()
; Delete ()
; GetBoundingBox (2)
; GetExtensionDictionary ()
; GetXData (3)
; Highlight (1)
; IntersectWith (2)
; Mirror (2)
; Mirror3D (3)
; Move (2)
; Rotate (2)
; Rotate3D (3)
; ScaleEntity (2)
; SetXData (2)
; TransformBy (1)
; Update ()
---The End

 

 

... Ahh, I see now.

 

You want to access the AECC Database itself. In order for you to do that, you'll first need to use Civil 3D, and not Map.

 

Keep in mind you'll want to backup your data first... you're going to be 'poking around' in external (AECC) objects, and damage can result if not properly released when done. Numerous application crashes may occur, until you become more proficient. As long as your data is backed up there's nothing to worry about.

 

Buzzard has been kind enough to provide you many links to go through. See what you can put together, and we'll be here if you need us.

 

Good luck!

Link to comment
Share on other sites

Check out the support files within autocad directory theres coding examples for vlisp Vba & .net these .dvb files you can open & read.

 

\Autocad 2009\sample\civil 3d API\vba Surface points ?

\Autocad 2011\sample\civil 3d API\com\vba

 

also http://www.cadtutor.net/forum/showthread.php?49417-Changing-CIV3d-contours-simply&highlight=contours

Link to comment
Share on other sites

You're welcome. :)

 

Since you're new to the forums, this may be helpful: Code Posting Guidlines

 

... Ahh, I see now.

 

You want to access the AECC Database itself. In order for you to do that, you'll first need to use Civil 3D, and not Map.

 

Keep in mind you'll want to backup your data first... you're going to be 'poking around' in external (AECC) objects, and damage can result if not properly released when done. Numerous application crashes may occur, until you become more proficient. As long as your data is backed up there's nothing to worry about.

 

Buzzard has been kind enough to provide you many links to go through. See what you can put together, and we'll be here if you need us.

 

Good luck!

 

 

 

Thank you for all your helps and guides, I appreciate you guys to make a new learner feel comfortable to Lisp.

I am learning everyday by going through the links you provided, it seems to need long time searching to get to my point, I want to know how to access CoGo point features and how to change them, like point number and descriptions.(using subst?)

 

Thank you guys again and have a great weekend.

Link to comment
Share on other sites

  • 10 months later...

Note: I am currently trying to switch form LD3 to Civil 3d 2012... so I may be a bit behind on the learning curve .....

 

I have been having the same problem accessing detailed AECC_COGO_POINT definitions in Civil 3d 2012...

 

One work around I have found...is that if you take the Civil 3d cogo point and

explode it... then the enity info returned is much more informative (I can get

the coordinates).

 

Note: exploding the point removes it from the current Civil 3d database.

So I have been exploding the point...getting the entity info then undoing

the explode to reacquire its status as a civil 3d project point...

This method is a bit akward (not recommended).

 

Note:

Exploding the point once removes it from the database

and removes the (100 . "AeccDbCogoPoint") attribute of the point.

 

Exploding the point a second and a third and a 4th time starts breaking down the point into its seperate entities....i.e. a leader arrow, a point node, point description block etc.

 

So, what I am guess I am looking for is way of accessing the entity info imbeded

in the AECC_COGO_POINT.... I have tried using "nentsel" to access the names of imbeded entities but all it seems to give me is the entity name (of the container AECC_COGO_POINT) and a coordinate on the first vertex of leader arrow associated with the point (note vertex coordinate still exists even if no actual leader arrow used). ----

 

Any ideas.... other than exploding multiple times, is there a way to find a list of all entities associated with the AECC_COGO_POINT

 

Thanks,

 

Tom

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...